Loading...
Searching...
No Matches
irr::scene::SVertexColorInterpolateQuadraticManipulator Class Reference

Vertex manipulator which interpolates the color values. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorInterpolateQuadraticManipulator:

## Public Member Functions

| SVertexColorInterpolateQuadraticManipulator (video::SColor color1, video::SColor color2, f32 factor)
void | operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which interpolates the color values.

Uses linear interpolation.

Definition at line 205 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexColorInterpolateQuadraticManipulator()

irr::scene::SVertexColorInterpolateQuadraticManipulator::SVertexColorInterpolateQuadraticManipulator | ( | video::SColor | color1,
|  | video::SColor | color2,
|  | f32 | factor )

inline

Definition at line 208 of file SVertexManipulator.h.

## Member Function Documentation

## operator()()

void irr::scene::SVertexColorInterpolateQuadraticManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const

inline

Definition at line 210 of file SVertexManipulator.h.

References irr::video::S3DVertex::Color, and irr::video::SColor::getInterpolated_quadratic().

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0